package hiro.yoshioka.sql;

import hiro.yoshioka.sdh2.ResultSetDataHolder2;
import hiro.yoshioka.sql.engine.GettingResourceRequest;
import hiro.yoshioka.sql.engine.SQLOperationType;
import hiro.yoshioka.sql.params.ConnectionProperties;

import java.sql.Driver;
import java.sql.SQLException;

public class PootaroTransactionSQL extends AbsTransactionSQL {
	public static PootaroTransactionSQL single = new PootaroTransactionSQL(null);

	protected PootaroTransactionSQL(Driver ds) {
		super(ds);
	}

	@Override
	public boolean connect(ConnectionProperties connectionProperties) {
		return false;
	}

	public boolean canDoOperation(SQLOperationType operation) {
		return false;
	}

	public ResultSetDataHolder2 getSessionInfo() throws SQLException {
		return null;
	}

	public ResultSetDataHolder2 getLockInfo() throws SQLException {
		return null;
	}

	protected void setComments(GettingResourceRequest request)
			throws SQLException {
	}

	@Override
	protected boolean setTableText(GettingResourceRequest request)
			throws SQLException {
		fLogger.fatal("Not support yet...");
		return false;
	}

	@Override
	protected void getTrigger(GettingResourceRequest request)
			throws SQLException {
		fLogger.fatal("Not support yet...");
	}

	@Override
	protected void getSequence(GettingResourceRequest request)
			throws SQLException {
		fLogger.fatal("Not support yet...");
	}

}